# GET /api/v1/org/{orgId}/user/{userId}/teams

**Find Teams for User**

## Find Teams for User
Find the teams that this user is assigned to in this organization. Only the currently authenticated user can be referenced as the userId URL parameter.

> Requires `read:team` permission.

## Parameters

- `orgId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Organization.
- `userId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk User.
- `pageToken` (in: query, integer<int32>) — Pagination request page increment.
- `pageSize` (in: query, integer<int32>) — Pagination response size limit.

## Responses

### 200 — Paginated response of teams.

#### application/json

- `nextPageToken` (string) — pageToken to provide for the next page of results.
- `teams` (organization.Team[]) — found list of teams.
  - `applications` (organization.TeamApplication[]) — The applications that belong to this Team.
    - `applicationId` (string)
    - `applicationName` (string)
    - `environments` (string[])
    - `lastScanTimestamp` (integer<int64>)
  - `id` (string) — The UUID identifier of this team.
  - `name` (string) — The name of this team.
  - `organizationId` (string) — The StackHawk organization that owns this Team.
  - `users` (organization.TeamUser[]) — The users that are members of this Team.
    - `email` (string)
    - `role` (string)
    - `userId` (string)
    - `userName` (string)
- `totalCount` (integer<int64>) — total number of results.

#### application/x-protobuf

- `nextPageToken` (string) — pageToken to provide for the next page of results.
- `teams` (organization.Team[]) — found list of teams.
  - `applications` (organization.TeamApplication[]) — The applications that belong to this Team.
    - `applicationId` (string)
    - `applicationName` (string)
    - `environments` (string[])
    - `lastScanTimestamp` (integer<int64>)
  - `id` (string) — The UUID identifier of this team.
  - `name` (string) — The name of this team.
  - `organizationId` (string) — The StackHawk organization that owns this Team.
  - `users` (organization.TeamUser[]) — The users that are members of this Team.
    - `email` (string)
    - `role` (string)
    - `userId` (string)
    - `userName` (string)
- `totalCount` (integer<int64>) — total number of results.

### 401 — Unauthorized

- (no body)
